/*
 * Copyright (c) 2013 Dashing Rocket, Ltd. 
 * All Rights Reserved.
 *
 * http://www.dashingrocket.com
 *
 */

package com.dashingrocket.common;

import net.sf.mmm.util.text.base.EnglishSingularizer;


/**
 * @author jbowes
 *
 */
public final class English {
	
	private English() {}

	/**
	 * Convert a word to a singular instance.  Wraps EnglishSingularizer to provide the ability
	 * to add additional cases that singularizer doesn't cover.
	 * @param word
	 * @return
	 */
	public static String singularize(String word) {
		return EnglishSingularizer.INSTANCE.transform(word);
	}
	
	/**
	 * Replaces the suffix of a word with a new suffix, if the old suffix was really the suffix
	 * @param word
	 * @param oldSuffix
	 * @param newSuffix
	 * @return
	 */
	public static String replaceSuffix(String word, String oldSuffix, String newSuffix) {
		if (word.endsWith(oldSuffix)) {
			String baseWord = word.substring(0, word.length() - oldSuffix.length());
			return baseWord + newSuffix;
		}
		return word;
	}
}
