package com.dashingrocket.common;

import java.util.Arrays;
import java.util.List;

public final class Java {

	private static final String[] KEYWORDS = { "abstract", "assert", "boolean",
			"break", "byte", "case", "catch", "char", "class", "const",
			"continue", "default", "do", "double", "else", "enum", "extends",
			"final", "finally", "float", "for", "goto", "if", "implements",
			"import", "instanceof", "int", "interface", "long", "native",
			"new", "package", "private", "protected", "public", "return",
			"short", "static", "strictfp", "super", "switch", "synchronized",
			"this", "throw", "throws", "transient", "try", "void", "volatile",
			"while" };
	
	public static final List<String> KEYWORD_LIST = Arrays.asList(KEYWORDS);
	
	public static final String VALID_VAR_NAME_REGEX = "(\\w|\\$)+";
	
	
	public static boolean isKeyword(final String word) {
		return KEYWORD_LIST.contains(word);
	}
	
	public static boolean isValidVariableName(final String word) {
		return word.matches(VALID_VAR_NAME_REGEX);
	}
	
	private Java(){}
}
