/*
 * Copyright (c) 2013 Dashing Rocket, Ltd. 
 * All Rights Reserved.
 *
 * http://www.dashingrocket.com
 *
 */

package com.dashingrocket.common;

/**
 * @author jbowes
 * 
 * Simple Text File with a name, parentPath, Contents
 *
 */
public class TextFile {
	private String name;
	private String parentPath;
	private String contents;
	
	public TextFile() {
		
	}
	
	public TextFile(String name, String contents) {
		this.name = name;
		this.contents = contents;
	}
	
	public TextFile(String name, String parentPath, String contents) {
		this.name = name;
		this.parentPath = parentPath;
		this.contents = contents;
	}
	
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return the parentPath
	 */
	public String getParentPath() {
		return parentPath;
	}
	/**
	 * @param parentPath the parentPath to set
	 */
	public void setParentPath(String parentPath) {
		this.parentPath = parentPath;
	}
	/**
	 * @return the contents
	 */
	public String getContents() {
		return contents;
	}
	/**
	 * @param contents the contents to set
	 */
	public void setContents(String contents) {
		this.contents = contents;
	}
	
	@Override
	public int hashCode() {
		return (this.getParentPath() + this.getName()).hashCode();
	}
	
	@Override
	public boolean equals(Object other) {
		if(other == null) {
			return false;
		}
		
		if(other == this) {
			return true;
		}
		
		if(!(other instanceof TextFile)) {
			return false;
		}
		
		TextFile otherTextFile = (TextFile)other;
		return (this.getParentPath() + this.getName()).equals(otherTextFile.getParentPath() + 
				otherTextFile.getName());
	}
}
